Package net.commoble.exmachina.internal.signal

# Record Class WireIgnoringSignalGetter

java.lang.Object
java.lang.Record
net.commoble.exmachina.internal.signal.WireIgnoringSignalGetter

Record Components:
  `delegate` - LevelReader to delegate read access to
  `wirerLookup` - StateWirer cache

All Implemented Interfaces:
  `net.minecraft.world.level.BlockGetter`, `net.minecraft.world.level.LevelHeightAccessor`, `net.minecraft.world.level.SignalGetter`, `net.neoforged.neoforge.common.extensions.IBlockGetterExtension`

@Internal public record WireIgnoringSignalGetter(net.minecraft.world.level.LevelReader delegate, Function<net.minecraft.core.BlockPos,StateWirer> wirerLookup) extends Record implements net.minecraft.world.level.SignalGetter
delegating SignalGetter which ignores signal from blocks in the exmachina:ignore_vanilla_signal block tag

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraft.world.level.BlockGetter

`net.minecraft.world.level.BlockGetter.BlockStepVisitor`

## Field Summary

### Fields inherited from interface net.minecraft.world.level.BlockGetter

`MAX_BLOCK_ITERATIONS_ALONG_TRAVEL`

### Fields inherited from interface net.minecraft.world.level.SignalGetter

`DIRECTIONS`

## Constructor Summary

Constructors
Constructor
Description
`WireIgnoringSignalGetter(net.minecraft.world.level.LevelReader delegate, Function<net.minecraft.core.BlockPos,StateWirer> wirerLookup)`
Creates an instance of a `WireIgnoringSignalGetter` record class.

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.level.LevelReader`
`delegate()`
Returns the value of the `delegate` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`net.minecraft.world.level.block.entity.BlockEntity`
`getBlockEntity(net.minecraft.core.BlockPos pos)`
`net.minecraft.world.level.block.state.BlockState`
`getBlockState(net.minecraft.core.BlockPos pos)`
`int`
`getDirectSignal(net.minecraft.core.BlockPos pos, net.minecraft.core.Direction directionFromNeighbor)`
`net.minecraft.world.level.material.FluidState`
`getFluidState(net.minecraft.core.BlockPos pos)`
`int`
`getHeight()`
`int`
`getMinY()`
`int`
`getSignal(net.minecraft.core.BlockPos pos, net.minecraft.core.Direction directionFromNeighbor)`
`final int`
`hashCode()`
Returns a hash code value for this object.
`final String`
`toString()`
Returns a string representation of this record class.
`Function<net.minecraft.core.BlockPos,StateWirer>`
`wirerLookup()`
Returns the value of the `wirerLookup` record component.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.level.BlockGetter

`clip, clipWithInteractionOverride, getBlockEntity, getBlockFloorHeight, getBlockFloorHeight, getBlockStates, getLightEmission, isBlockInLine`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IBlockGetterExtension

`getAuxLightManager, getAuxLightManager, getModelData`

### Methods inherited from interface net.minecraft.world.level.LevelHeightAccessor

`getMaxSectionY, getMaxY, getMinSectionY, getSectionIndex, getSectionIndexFromSectionY, getSectionsCount, getSectionYFromSectionIndex, isInsideBuildHeight, isOutsideBuildHeight, isOutsideBuildHeight`

### Methods inherited from interface net.minecraft.world.level.SignalGetter

`getBestNeighborSignal, getControlInputSignal, getDirectSignalTo, hasNeighborSignal, hasSignal`

## Constructor Details

### WireIgnoringSignalGetter

public WireIgnoringSignalGetter(net.minecraft.world.level.LevelReader delegate, Function<net.minecraft.core.BlockPos,StateWirer> wirerLookup)
Creates an instance of a `WireIgnoringSignalGetter` record class.

Parameters:
  `delegate` - the value for the `delegate` record component
  `wirerLookup` - the value for the `wirerLookup` record component

## Method Details

### getBlockEntity

public net.minecraft.world.level.block.entity.BlockEntity getBlockEntity(net.minecraft.core.BlockPos pos)

Specified by:
  `getBlockEntity` in interface `net.minecraft.world.level.BlockGetter`

### getBlockState

public net.minecraft.world.level.block.state.BlockState getBlockState(net.minecraft.core.BlockPos pos)

Specified by:
  `getBlockState` in interface `net.minecraft.world.level.BlockGetter`

### getFluidState

public net.minecraft.world.level.material.FluidState getFluidState(net.minecraft.core.BlockPos pos)

Specified by:
  `getFluidState` in interface `net.minecraft.world.level.BlockGetter`

### getHeight

public int getHeight()

Specified by:
  `getHeight` in interface `net.minecraft.world.level.LevelHeightAccessor`

### getMinY

public int getMinY()

Specified by:
  `getMinY` in interface `net.minecraft.world.level.LevelHeightAccessor`

### getDirectSignal

public int getDirectSignal(net.minecraft.core.BlockPos pos, net.minecraft.core.Direction directionFromNeighbor)

Specified by:
  `getDirectSignal` in interface `net.minecraft.world.level.SignalGetter`

### getSignal

public int getSignal(net.minecraft.core.BlockPos pos, net.minecraft.core.Direction directionFromNeighbor)

Specified by:
  `getSignal` in interface `net.minecraft.world.level.SignalGetter`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### delegate

public net.minecraft.world.level.LevelReader delegate()
Returns the value of the `delegate` record component.

Returns:
  the value of the `delegate` record component

### wirerLookup

public Function<net.minecraft.core.BlockPos,StateWirer> wirerLookup()
Returns the value of the `wirerLookup` record component.

Returns:
  the value of the `wirerLookup` record component